%define	rev	git20200326

Name:		numptyphysics
Version:	0.4
Summary:	A crayon-drawing based physics puzzle game
Release:	%mkrel -c %{rev} 4
License:	GPLv3+
Group:		Games/Puzzles
Url:		http://thp.io/2015/numptyphysics/
# Stable release git tag: https://github.com/thp/numptyphysics/archive/%{version}.tar.gz
Source0:	https://github.com/thp/numptyphysics/archive/master/%{name}-%{version}-%{rev}.tar.gz
BuildRequires:	pkgconfig(sdl2)
BuildRequires:	pkgconfig(SDL2_image)
BuildRequires:	pkgconfig(SDL2_ttf)
BuildRequires:	pkgconfig(gio-2.0)
BuildRequires:	pkgconfig(gl)
Requires:	hicolor-icon-theme

%description
Harness gravity with your crayon and set about creating blocks, ramps, levers,
pulleys and whatever else you fancy to get the little red thing to the little
yellow thing.

Numpty Physics is a drawing puzzle game in the spirit (and style?) of Crayon
Physics using the same excellent Box2D engine. Note though that I've not
actually played CP so the experience may be very different. Numpty Physics
includes a built-in editor so that you may build (and submit) your own levels.

%prep
%setup -q -n %{name}-master

%build
%set_build_flags
%make_build

%install
%make_install

%files
%doc AUTHORS README.md
%{_bindir}/%{name}
%{_datadir}/applications/%{name}.desktop
%{_datadir}/icons/hicolor/256x256/apps/%{name}.png
%{_datadir}/%{name}
%{_mandir}/man6/%{name}*


%changelog
* Fri Apr 01 2022 umeabot <umeabot> 0.4-0.git20200326.4.mga9
+ Revision: 1839183
- Mageia 9 Mass Rebuild

* Wed Jul 15 2020 joequant <joequant> 0.4-0.git20200326.3.mga8
+ Revision: 1606403
- update to 20200306

* Thu Feb 13 2020 umeabot <umeabot> 0.4-0.git20180221.3.mga8
+ Revision: 1515625
- Mageia 8 Mass Rebuild
+ wally <wally>
- replace deprecated %%setup_compile_flags

* Sun Sep 23 2018 umeabot <umeabot> 0.4-0.git20180221.2.mga7
+ Revision: 1299814
- Mageia 7 Mass Rebuild

* Fri Apr 13 2018 kekepower <kekepower> 0.4-0.git20180221.1.mga7
+ Revision: 1218150
- Update to release git20180221

* Thu Dec 31 2015 alexl <alexl> 0.4-0.git20151231.10.mga6
+ Revision: 917072
- update to the latest git snapshot
- del upstreamed stuff

* Sun Nov 22 2015 alexl <alexl> 0.4-0.git20151118.9.mga6
+ Revision: 904867
- the latest git snapshot
- update russian translation
- less font size (fontsize.patch)
- fix compillation (revert f32f646)

* Fri Nov 13 2015 alexl <alexl> 0.4-0.git20150204.8.mga6
+ Revision: 903004
- all levels were included in sources by author using npsvg format

* Thu Nov 12 2015 alexl <alexl> 0.4-0.git20150204.7.mga6
+ Revision: 902840
- update to the latest git snapshot
- del deprecated or upstreamed stuff
- update license, url tags

* Sat Nov 29 2014 alexl <alexl> 0.4-0.git20132002.6.mga5
+ Revision: 799837
- merge desktop file with smr99's fork

* Wed Oct 15 2014 umeabot <umeabot> 0.4-0.git20132002.5.mga5
+ Revision: 749179
- Second Mageia 5 Mass Rebuild

* Sun Sep 28 2014 umeabot <umeabot> 0.4-0.git20132002.4.mga5
+ Revision: 731511
- Mageia 5 Mass Rebuild

* Thu May 22 2014 akien <akien> 0.4-0.git20132002.3.mga5
+ Revision: 625067
- RPM group is Games and not Education

* Thu May 22 2014 akien <akien> 0.4-0.git20132002.2.mga5
+ Revision: 625063
- Move icon to %%_datadir/pixmaps since 80x80 is not a valid hicolor size

* Mon May 19 2014 alexl <alexl> 0.4-0.git20132002.1.mga5
+ Revision: 623727
- the latest git snapshot
- clean spec
- new summary
- move gcc patch (in upstream now)
- add README and man page
- update desktop-file.patch and makefile.patch
- add fix-memory-corruption.patch
- rename desktop-file.patch
- rename makefile.patch
- No reasons for obsolete
+ akien <akien>
- No longer maintained and segfaults after completion of the first level

* Fri Oct 18 2013 umeabot <umeabot> 0.3.3-3.mga4
+ Revision: 508356
- Mageia 4 Mass Rebuild

* Sat Jan 12 2013 umeabot <umeabot> 0.3.3-2.mga3
+ Revision: 361081
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Fri Dec 14 2012 matteo <matteo> 0.3.3-1.mga3
+ Revision: 330952
- new stable version

* Sun Jul 29 2012 matteo <matteo> 0.3.2-0.git.a22cde2.1.mga3
+ Revision: 275554
- added patch to support gcc-4.7
- new version

* Sun Mar 25 2012 anaselli <anaselli> 0.2-0.svn.157.2.mga2
+ Revision: 226367
- added missed levels

* Thu Jan 05 2012 matteo <matteo> 0.2-0.svn.157.1.mga2
+ Revision: 191922
- unzipped patch; spec file reviewed

* Fri Dec 23 2011 matteo <matteo> 0.2-0.svn.157.mga2
+ Revision: 186813
- fixed wrong summary
- imported package numptyphysics

